<?php
include("../bordms/bor/include/includes.php");

$dToday = date('Y-m-d');
$dMonth = date('Y-m');
$dYear = date('Y');

$varResultTodayStatus = $objDatabase->Query("
SELECT COUNT(D.RegistrationId) AS 'TodayStatus' 
FROM bor_registration_documents AS D 
WHERE D.DocumentAddedOn LIKE '$dToday%'");
$iTodayStatus = $objDatabase->Result($varResultTodayStatus, 0, "TodayStatus");

$varResultMonthStatus = $objDatabase->Query("
SELECT COUNT(D.RegistrationId) AS 'MonthStatus' 
FROM bor_registration_documents AS D 
WHERE D.DocumentAddedOn LIKE '$dMonth%'");
$iCurrentMonthStatus = $objDatabase->Result($varResultMonthStatus, 0, "MonthStatus");

$varResultYearStatus = $objDatabase->Query("
SELECT COUNT(D.RegistrationId) AS 'YearStatus' 
FROM bor_registration_documents AS D 
WHERE D.DocumentAddedOn LIKE '$dYear%'");
$iCurrentYearStatus = $objDatabase->Result($varResultYearStatus, 0, "YearStatus");

$varResultStations = $objDatabase->Query("
SELECT COUNT(DISTINCT(D.StationId)) AS 'TotalStations' 
FROM bor_registration_documents AS D");
$iNoOfStations = $objDatabase->Result($varResultStations, 0, "TotalStations");

$iLastDateOfMonth = date('t');

$varResultDaywise = $objDatabase->Query("
SELECT MID(D.DocumentAddedOn,9,2) AS 'Day', COUNT(D.RegistrationId) AS 'TotalDocs' 
FROM bor_registration_documents AS D
WHERE 1=1 AND D.DocumentAddedOn LIKE CONCAT( YEAR(CURDATE()) ,'-', MONTH(CURDATE()),'%')
GROUP BY MID(D.DocumentAddedOn,9,2)");
if ($objDatabase->RowsNumber($varResultDaywise) > 0)
{
	for ($i=0; $i < $objDatabase->RowsNumber($varResultDaywise); $i++)
	{
		$iDay = $objDatabase->Result($varResultDaywise, $i, "Day");
		$iTotalDocs = $objDatabase->Result($varResultDaywise, $i, "TotalDocs");

		$aDays[number_format($iDay)] = $iDay;
		$aTotalDocs[number_format($iDay)] = $iTotalDocs;
	}
}

	for($n=1;$n<=$iLastDateOfMonth;$n++)
	{
		if($aDays[$n] != '') $sDay .='"'.$aDays[$n].'",';
		else $sDay .= '"'.( ($n < 10) ? '0'.$n : $n).'",';

		if($aTotalDocs[$n] != '') $sTotalDocs .='"'.$aTotalDocs[$n].'",';
		else $sTotalDocs .='"0",';
		
	}

	$sDay = substr($sDay,0,strlen($sDay)-1);
	$sTotalDocs = substr($sTotalDocs,0,strlen($sTotalDocs)-1);
//die();

?>

<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>

	<meta name="robots" content="noindex">
	<meta name="googlebot" content="noindex">

    <meta charset="utf-8" />
	<title>MIS - Board of Revenue</title>
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	<link href="assets/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link href="assets/css/metro.css" rel="stylesheet" />
	<link href="assets/bootstrap/css/bootstrap-responsive.min.css" rel="stylesheet" />
	<link href="assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
	<link href="assets/css/style.css" rel="stylesheet" />
	<link href="assets/css/style_responsive.css" rel="stylesheet" />
	<link href="assets/css/style_default.css" rel="stylesheet" id="style_color" />
	<link rel="stylesheet" type="text/css" href="assets/gritter/css/jquery.gritter.css" />
	<link rel="stylesheet" type="text/css" href="assets/uniform/css/uniform.default.css" />
	<link rel="stylesheet" type="text/css" href="assets/bootstrap-daterangepicker/daterangepicker.css" />
	<link href="assets/fullcalendar/fullcalendar/bootstrap-fullcalendar.css" rel="stylesheet" />
	<link href="assets/jqvmap/jqvmap/jqvmap.css" media="screen" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" href="favicon.ico" />
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="fixed-top">
	<!-- BEGIN HEADER -->
	<div class="header navbar navbar-inverse navbar-fixed-top">
		<!-- BEGIN TOP NAVIGATION BAR -->
		<div class="navbar-inner">
			<div class="container-fluid">
				<!-- BEGIN LOGO -->
				
                <a class="brand" href="index.php">
				<span style="color:white;font-size:16px;font-weight:bold;">MIS - Board of Revenue, Sindh.</span>
                </a>
                
				<!-- END LOGO -->
				<!-- BEGIN RESPONSIVE MENU TOGGLER -->
                
				<a href="javascript:;" class="btn-navbar collapsed" data-toggle="collapse" data-target=".nav-collapse">
				<img src="assets/img/menu-toggler.png" alt="" />
				</a>          
				<!-- END RESPONSIVE MENU TOGGLER -->				
				<!-- BEGIN TOP NAVIGATION MENU -->					

				
				<!-- END TOP NAVIGATION MENU -->	
			</div>
		</div>
		<!-- END TOP NAVIGATION BAR -->
	</div>
	<!-- END HEADER -->
	<!-- BEGIN CONTAINER -->
	<div class="page-container row-fluid">
		<!-- BEGIN SIDEBAR -->
		<div class="page-sidebar nav-collapse collapse">
			<!-- BEGIN RESPONSIVE QUICK SEARCH FORM -->
			<div class="slide hide">
				<i class="icon-angle-left"></i>			</div>
<form class="sidebar-search">
				<div class="input-box">
					<input type="text" class="" placeholder="Search" />
					<input type="button" class="submit" value=" " />
				</div>
			</form>
			<div class="clearfix"></div>
			<!-- END RESPONSIVE QUICK SEARCH FORM -->
			<!-- BEGIN SIDEBAR MENU -->
			<ul>
				<li class="active">
					<a href="index.html">
					<i class="icon-home"></i> Dashboard
					<span class="selected"></span>					</a>				</li>
<!--
				<li class="has-sub">
					<a href="javascript:;" class="">
					<i class="icon-bookmark-empty"></i> UI Features
					<span class="arrow"></span>
					</a>
					<ul class="sub">
						<li><a class="" href="ui_general.html">General</a></li>
						<li><a class="" href="ui_buttons.html">Buttons</a></li>
						<li><a class="" href="ui_tabs_accordions.html">Tabs & Accordions</a></li>
						<li><a class="" href="ui_typography.html">Typography</a></li>
					</ul>
				</li>
				<li class="has-sub">
					<a href="javascript:;" class="">
					<i class="icon-table"></i> Form Stuff
					<span class="arrow"></span>
					</a>
					<ul class="sub">
						<li><a class="" href="form_layout.html">Form Layouts</a></li>
						<li><a class="" href="form_component.html">Form Components</a></li>
						<li><a class="" href="form_wizard.html">Form Wizard</a></li>
						<li><a class="" href="form_validation.html">Form Validation</a></li>
					</ul>
				</li>
				<li class="has-sub">
					<a href="javascript:;" class="">
					<i class="icon-th-list"></i> Data Tables
					<span class="arrow"></span>
					</a>
					<ul class="sub">
						<li><a class="" href="table_basic.html">Basic Tables</a></li>
						<li><a class="" href="table_managed.html">Managed Tables</a></li>
					</ul>
				</li>
				<li><a class="" href="grids.html"><i class="icon-th"></i> Grids & Portlets</a></li>
				<li class="has-sub">
					<a href="javascript:;" class="">
					<i class="icon-map-marker"></i> Maps
					<span class="arrow"></span>
					</a>
					<ul class="sub">
						<li><a class="" href="maps_google.html">Google Maps</a></li>
						<li><a class="" href="maps_vector.html">Vector Maps</a></li>
					</ul>
				</li>
				<li><a class="" href="charts.html"><i class="icon-bar-chart"></i> Visual Charts</a></li>
				<li><a class="" href="calendar.html"><i class="icon-calendar"></i> Calendar</a></li>
				<li><a class="" href="gallery.html"><i class="icon-camera"></i> Gallery</a></li>
				<li class="has-sub">
					<a href="javascript:;" class="">
					<i class="icon-briefcase"></i> Extra
					<span class="arrow"></span>
					</a>
					<ul class="sub">
						<li><a class="" href="extra_pricing_table.html">Pricing Tables</a></li>
						<li><a class="" href="extra_404.html">404 Page</a></li>
						<li><a class="" href="extra_500.html">500 Page</a></li>
						<li><a class="" href="extra_blank.html">Blank Page</a></li>
					</ul>
				</li>
				<li><a class="" href="login.html"><i class="icon-user"></i> Login Page</a></li>
			</ul>
-->
			<!-- END SIDEBAR MENU -->
		</div>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div id="portlet-config" class="modal hide">
				<div class="modal-header">
					<button data-dismiss="modal" class="close" type="button"></button>
					<h3>Widget Settings</h3>
				</div>
				<div class="modal-body">
					<p>Here will be a configuration form</p>
				</div>
			</div>
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN STYLE CUSTOMIZER-->
						<!--
                        <div class="styler-panel hidden-phone">
							<i class="icon-cog"></i>
							<i class="icon-remove"></i>
							<span class="settings">
							<span class="text">Style:</span>
							<span class="colors">
							<span class="color-default" data-style="default"></span>
							<span class="color-blue" data-style="blue"></span>
							<span class="color-light" data-style="light"></span>		
							</span>
							<span class="layout">
							<label class="hidden-phone">
							<input type="checkbox" class="header" checked value="" />Fixed Header
							</label>							
							</span>
							</span>
						</div>
                        -->
						<!-- END STYLE CUSTOMIZER-->    	
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->		
						<h3 class="page-title">
							Dashboard
							<small>statistics and more</small>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index.html">Home</a> 
								<span class="icon-angle-right"></span>
							</li>
							<li><a href="#">Dashboard</a></li>
							<!--	
                             <li class="pull-right no-text-shadow">
								<div id="dashboard-report-range" class="dashboard-date-range tooltips no-tooltip-on-touch-device responsive" data-tablet="" data-desktop="tooltips" data-placement="top" data-original-title="Change dashboard date range">
									<i class="icon-calendar"></i>
									<span></span>
									<i class="icon-angle-down"></i>
								</div>
							</li>
                            -->
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<div id="dashboard">
					<!-- BEGIN DASHBOARD STATS -->
					<div class="row-fluid">
						<div class="span3 responsive" data-tablet="span6" data-desktop="span3">
							<div class="dashboard-stat blue">
								<div class="visual">
									<i class="icon-file"></i>
								</div>
								<div class="details">
									<div class="number">
										<?php if(isset($iTodayStatus)) echo $iTodayStatus; ?>
									</div>
									<div class="desc">									
										Today Status
									</div>
								</div>
								<a class="more" href="#">
								View more <i class="m-icon-swapright m-icon-white"></i>
								</a>						
							</div>
						</div>
						<div class="span3 responsive" data-tablet="span6" data-desktop="span3">
							<div class="dashboard-stat green">
								<div class="visual">
									<i class="icon-copy"></i>
								</div>
								<div class="details">
									<div class="number">
										<?php if(isset($iCurrentMonthStatus)) echo $iCurrentMonthStatus; ?>
									</div>
									<div class="desc" style="font-size:14px;">Current Month Status</div>
								</div>
								<a class="more" href="#">
								View more <i class="m-icon-swapright m-icon-white"></i>
								</a>						
							</div>
						</div>
						<div class="span3 responsive" data-tablet="span6  fix-offset" data-desktop="span3">
							<div class="dashboard-stat purple">
								<div class="visual">
									<i class="icon-paste"></i>
								</div>
								<div class="details">
									<div class="number">
										<?php if(isset($iCurrentYearStatus)) echo $iCurrentYearStatus; ?>
									</div>
									<div class="desc">Current Year Status</div>
								</div>
								<a class="more" href="#">
								View more <i class="m-icon-swapright m-icon-white"></i>
								</a>						
							</div>
						</div>
						<div class="span3 responsive" data-tablet="span6" data-desktop="span3">
							<div class="dashboard-stat yellow">
								<div class="visual">
									<i class="icon-globe"></i>
								</div>
								<div class="details">
									<div class="number">
										<?php if(isset($iNoOfStations)) echo $iNoOfStations; ?>
									</div>
									<div class="desc">Online SR Offices</div>
								</div>
								<a class="more" href="#">
								View more <i class="m-icon-swapright m-icon-white"></i>
								</a>						
							</div>
						</div>
					</div>
					<!-- END DASHBOARD STATS -->
					<div class="clearfix"></div>
					<div>

		<div style="">
			<div>
				<canvas id="canvas" height="300" width="800"></canvas>
			</div>
		</div>


	<script>
		var randomScalingFactor = function(){ return Math.round(Math.random()*100)};
		var lineChartData = {
			labels: [<?php echo $sDay; ?>],
			datasets : [
				{
					label: "My First dataset",
            fillColor: "rgba(151,187,15,0.2)",
            strokeColor: "rgba(151,187,205,1)",
            pointColor: "rgba(151,187,205,1)",
					pointStrokeColor : "#fff",
					pointHighlightFill : "#fff",
					pointHighlightStroke : "rgba(151,187,220,1)",
					data: [<?php echo $sTotalDocs; ?>]
				}
			]

		}

	window.onload = function(){
		var ctx = document.getElementById("canvas").getContext("2d");
		window.myLine = new Chart(ctx).Line(lineChartData, {
			responsive: true
		});
	}


	</script>
                    
                    </div>
				</div>
			</div>
			<!-- END PAGE CONTAINER-->		
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->
	<!-- BEGIN FOOTER -->
	<div class="footer">

		<div class="span pull-right">
			<span class="go-top"><i class="icon-angle-up"></i></span>
		</div>
	</div>
	<!-- END FOOTER -->
	<!-- BEGIN JAVASCRIPTS -->
	<!-- Load javascripts at bottom, this will reduce page load time -->
	<script src="assets/js/jquery-1.8.3.min.js"></script>	
	<!--[if lt IE 9]>
	<script src="assets/js/excanvas.js"></script>
	<script src="assets/js/respond.js"></script>	
	<![endif]-->	
	<script src="assets/breakpoints/breakpoints.js"></script>		
	<script src="assets/jquery-slimscroll/jquery-ui-1.9.2.custom.min.js"></script>	
	<script src="assets/jquery-slimscroll/jquery.slimscroll.min.js"></script>
	<script src="assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
	<script src="assets/bootstrap/js/bootstrap.min.js"></script>
	<script src="assets/js/jquery.blockui.js"></script>	
	<script src="assets/js/jquery.cookie.js"></script>
	<script src="assets/jqvmap/jqvmap/jquery.vmap.js" type="text/javascript"></script>	
	<script src="assets/jqvmap/jqvmap/maps/jquery.vmap.russia.js" type="text/javascript"></script>
	<script src="assets/jqvmap/jqvmap/maps/jquery.vmap.world.js" type="text/javascript"></script>
	<script src="assets/jqvmap/jqvmap/maps/jquery.vmap.europe.js" type="text/javascript"></script>
	<script src="assets/jqvmap/jqvmap/maps/jquery.vmap.germany.js" type="text/javascript"></script>
	<script src="assets/jqvmap/jqvmap/maps/jquery.vmap.usa.js" type="text/javascript"></script>
	<script src="assets/jqvmap/jqvmap/data/jquery.vmap.sampledata.js" type="text/javascript"></script>	
	<script src="assets/flot/jquery.flot.js"></script>
	<script src="assets/flot/jquery.flot.resize.js"></script>
	<script type="text/javascript" src="assets/gritter/js/jquery.gritter.js"></script>
	<script type="text/javascript" src="assets/uniform/jquery.uniform.min.js"></script>	
	<script type="text/javascript" src="assets/js/jquery.pulsate.min.js"></script>
	<script type="text/javascript" src="assets/bootstrap-daterangepicker/date.js"></script>
	<script type="text/javascript" src="assets/bootstrap-daterangepicker/daterangepicker.js"></script>	
	<script src="assets/js/app.js"></script>				
	<script src="Chart.js"></script>

	<script>
		jQuery(document).ready(function() {		
			App.setPage("index");  // set current page
			App.init(); // init the rest of plugins and elements
		});
	</script>
	<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>